bug Rated 5 out of 5 stars

Namoroka could not install the file at

https://addons.mozilla.org/en-US/firefox/downloads/file/74321/stratabuddy-0.1.6.9c-fx-linux.xpi

because: Not a valid install package
:(

This review is for a previous version of the add-on (0.1.6.9c).